package com.apobates.forum.core.entity.proxy;

import com.apobates.forum.core.entity.Board;
import com.apobates.forum.core.entity.BoardCarouselIndex;
import com.apobates.forum.core.entity.BoardGroup;
import com.apobates.forum.utils.lang.ForumReplicable;
import java.util.function.Function;

/**
 *
 * @author xiaofanku
 * @since 20200614
 */
public final class BoardCarouselIndexReplica extends BoardCarouselIndex implements ForumReplicable<BoardCarouselIndex,BoardCarouselIndexReplica>{
    private Board board;
    private BoardGroup volumes;
    public static Function<BoardCarouselIndex,BoardCarouselIndexReplica> copyCarouselIndex = (BoardCarouselIndex bci) -> {
        return ForumReplicable.replica(bci, BoardCarouselIndexReplica.class).orElseGet(BoardCarouselIndexReplica::new);
    };
    
    public Board getBoard() {
        return board;
    }
    
    public void setBoard(Board board) {
        this.board = board;
    }
    
    public BoardGroup getVolumes() {
        return volumes;
    }
    
    public void setVolumes(BoardGroup volumes) {
        this.volumes = volumes;
    }
}